## libgpewidget 0.73

=== Makefile ===
PREFIX = /usr/local
PACKAGE = libgpewidget
DEBUG = no
VERSION = 0.73
CVSBUILD = no

LINGUAS = ro de id pt fr ga wa sv nl cs

MEMBERS = gtkdatecombo errorbox init pixmaps smallbox render dirbrowser picturebutton what stylus screensize question gtksimplemenu spacing tray tap translabel popup windows popup_menu gpetimesel gpeiconlistitem gpeclockface gpetooltips2 gpe-iconlist

SONAME = libgpewidget.so.1
BINPACKAGE = libgpewidget1

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

$(eval CFLAGS = $(shell pkg-config --cflags xrender))
$(eval LDFLAGS = $(shell pkg-config --libs xrender))

LDFLAGS += $(GTKLIBS)
CFLAGS += $(GTKCFLAGS)

CFLAGS += -DPREFIX=\"$(PREFIX)\" -DPACKAGE=\"$(PACKAGE)\" -D_GNU_SOURCE -Wall -fPIC
ifeq ($(DEBUG),yes)
CFLAGS += -O2 -g
LDFLAGS += -g
else
CFLAGS += -Os -fomit-frame-pointer
endif
CFLAGS += -MD

CPPFLAGS += -I./gpe

HEADERS += init.h render.h errorbox.h smallbox.h pixmaps.h gtkdatecombo.h dirbrowser.h stylus.h picturebutton.h spacing.h translabel.h question.h windows.h gpe-iconlist.h gtksimplemenu.h

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

all: libgpewidget.so $(PACKAGE).pc $(PACKAGE)-uninstalled.pc

libgpewidget.so: $(SONAME)
	ln -sf $^ $@

$(SONAME): $(OBJS)
	$(CC) -nostartfiles -shared -o $@ $^ -Wl,-soname -Wl,$(SONAME) $(LDFLAGS)

gpe-iconlist.c: gpeiconlist.gob
	gob2 --no-private-header gpeiconlist.gob
	mv -f gpe-iconlist.h gpe/

libgpewidget.a: $(OBJS)
	ar cq $@ $^

install-program: $(SONAME)
	mkdir -p $(DESTDIR)$(PREFIX)/lib/
	install -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/
	install -d $(DESTDIR)$(PREFIX)/share/libgpewidget/
	install -m 644 pixmaps/clock.png $(DESTDIR)$(PREFIX)/share/libgpewidget/clock.png
	install -m 644 pixmaps/clock24.png $(DESTDIR)$(PREFIX)/share/libgpewidget/clock24.png
	install -m 644 pixmaps/day-night-wheel.png $(DESTDIR)$(PREFIX)/share/libgpewidget/day-night-wheel.png

install-devel: $(PACKAGE).pc
	for i in $(HEADERS); do install -m 644 -D gpe/$$i $(DESTDIR)$(PREFIX)/include/gpe/$$i; done
	ln -sf $(SONAME) $(DESTDIR)$(PREFIX)/lib/libgpewidget.so
	install -d $(DESTDIR)$(PREFIX)/lib/pkgconfig
	install -m 644 $(PACKAGE).pc $(DESTDIR)$(PREFIX)/lib/pkgconfig/

clean: clean-po
	rm -f $(OBJS) $(SONAME) libgpewidget.so $(DEPS) $(PACKAGE).pc $(PACKAGE)-uninstalled.pc

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

## libgpewidget 0.88

=== Makefile ===
PREFIX = /usr/local
PACKAGE = libgpewidget
DEBUG = yes
VERSION = 0.88
CVSBUILD = no
CAIRO = yes

IN_LIBGPEWIDGET = yes

LINGUAS = ro de id pt fr ga wa sv nl cs es

MEMBERS = gtkdatecombo errorbox init pixmaps smallbox render dirbrowser picturebutton what stylus screensize question gtksimplemenu spacing tray translabel popup popup_menu gpetimesel gpeiconlistitem gpeclockface gpetooltips2 gpe-iconlist gpewindowlist gpehelp gpeiconlistview gpewindowbits

SONAME = libgpewidget.so.1
BINPACKAGE = libgpewidget1

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

PACKAGE_CPPFLAGS = $(STANDARD_CPPFLAGS)
PACKAGE_CFLAGS = $(STANDARD_CFLAGS) $(GTKCFLAGS)
PACKAGE_LDFLAGS = $(STANDARD_LDFLAGS) $(GTKLIBS)

PACKAGE_CFLAGS += -fPIC
PACKAGE_CPPFLAGS += -I./gpe -I.

ifeq ($(CAIRO),yes)
PACKAGE_CPPFLAGS += -DHAVE_CAIRO
PACKAGE_CFLAGS += $(shell pkg-config --cflags cairo)
PACKAGE_LDFLAGS += $(shell pkg-config --libs cairo)
endif

HEADERS += init.h render.h errorbox.h smallbox.h pixmaps.h gtkdatecombo.h dirbrowser.h stylus.h picturebutton.h spacing.h translabel.h question.h windows.h gpe-iconlist.h gtksimplemenu.h gpewindowlist.h tray.h popup.h gpeiconlistview.h gpeclockface.h gpeiconlistitem.h

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

all: libgpewidget.so $(PACKAGE).pc $(PACKAGE)-uninstalled.pc

libgpewidget.so: $(SONAME)
	ln -sf $^ $@

$(SONAME): $(OBJS)
	$(CC) -nostartfiles -shared -o $@ $^ -Wl,-soname -Wl,$(SONAME) $(LDFLAGS) $(PACKAGE_LDFLAGS)

gpe-iconlist.c: gpeiconlist.gob
	gob2 --no-private-header gpeiconlist.gob
	mv -f gpe-iconlist.h gpe/

libgpewidget.a: $(OBJS)
	ar cq $@ $^

install-program: $(SONAME)
	mkdir -p $(DESTDIR)$(PREFIX)/lib/
	install -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/
	install -d $(DESTDIR)$(PREFIX)/share/libgpewidget/
	install -m 644 pixmaps/clock.png $(DESTDIR)$(PREFIX)/share/libgpewidget/clock.png
	install -m 644 pixmaps/clock24.png $(DESTDIR)$(PREFIX)/share/libgpewidget/clock24.png
	install -m 644 pixmaps/day-night-wheel.png $(DESTDIR)$(PREFIX)/share/libgpewidget/day-night-wheel.png

install-devel: $(PACKAGE).pc
	for i in $(HEADERS); do install -m 644 -D gpe/$$i $(DESTDIR)$(PREFIX)/include/gpe/$$i; done
	ln -sf $(SONAME) $(DESTDIR)$(PREFIX)/lib/libgpewidget.so
	install -d $(DESTDIR)$(PREFIX)/lib/pkgconfig
	install -m 644 $(PACKAGE).pc $(DESTDIR)$(PREFIX)/lib/pkgconfig/

clean: clean-po
	rm -f $(OBJS) $(SONAME) libgpewidget.so $(DEPS) $(PACKAGE).pc $(PACKAGE)-uninstalled.pc

ipkg: all

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

## libgpewidget 0.117

=== debian/changelog ===
libgpewidget (0.117-6) unstable; urgency=low

  * Patch gpehelp.c to include top level glib.h instead of individual
    header which is no longer supported. (Closes: #665569)

 -- Neil Williams <codehelp@debian.org>  Sat, 24 Mar 2012 20:17:07 +0000

libgpewidget (0.117-5) unstable; urgency=low

  * Convert to Multi-Arch paths

 -- Neil Williams <codehelp@debian.org>  Tue, 07 Feb 2012 12:25:39 +0000

libgpewidget (0.117-4) unstable; urgency=low

  * Fix build-indep for potential release goal. (lintian)
  * Enhance Replace rule to cover all builds of 0.117-2

 -- Neil Williams <codehelp@debian.org>  Sun, 06 Nov 2011 11:03:37 +0000

libgpewidget (0.117-3) unstable; urgency=low

  * Extend fix in 0.117-2 to include patch for the infoprint target
    with the same -lX11 addition. (Closes: #555182)
  * Add to the clean target to stop source format 3 making unnecessary
    diffs
  * Move architecture independent data out of the shared library
    package.

 -- Neil Williams <codehelp@debian.org>  Sun, 20 Feb 2011 13:17:08 +0000

libgpewidget (0.117-2) unstable; urgency=low

  * Migrate to source format 3.0 (quilt) for .tar.bz2 support.
  * Add vcs metadata for pkg-gpe.
  * Add -lX11 linkage and Wl,--no-add-needed. (Closes: #555182)

 -- Neil Williams <codehelp@debian.org>  Mon, 01 Mar 2010 18:42:46 +0000

libgpewidget (0.117-1) unstable; urgency=low

  * New upstream release
  * Drop Debian patches and dpatch dependency as new upstream version
    contains the effect of the previous patches.
  * Tweak rules and control for lintian warnings (doc-base upgrades).
  * Update standards version. (No changes)
  * Drop old Build-Depends no longer used: recode, libxml-perl and old
    dpkg-dev

 -- Neil Williams <codehelp@debian.org>  Sun, 03 May 2009 22:10:39 +0100

libgpewidget (0.115-5) unstable; urgency=low

  * ensure dpatch is cleaned so that both patches are applied

 -- Neil Williams <codehelp@debian.org>  Wed, 16 Jan 2008 18:02:44 +0000

libgpewidget (0.115-4) unstable; urgency=low

  * Fix override disparity
  * Update standards version (no changes)
  * Implement dpatch support to create a patch adding x11 to the pkg-
    config check. (Links libgpewidget1 against -lX11 to prevent missing
    symbols)
  * Expand debian/xcontrol to fully separate build tools from build
    libraries
  * No need to build doc package twice - remove duplication in
    debian/rules
  * Disable cairo support for gpeclockface to restore working behaviour

 -- Neil Williams <codehelp@debian.org>  Wed, 16 Jan 2008 17:27:59 +0000

libgpewidget (0.115-3) unstable; urgency=low

  * Include cross build support
  * Use HomePage field and set Pkg-gpe-maintainers in Uploaders
  * Only use make distclean if a Makefile exists

 -- Neil Williams <codehelp@debian.org>  Mon, 19 Nov 2007 18:35:17 +0000

libgpewidget (0.115-2) unstable; urgency=low

  * Add libgpewidget1-dbg and libgpewidget-doc packages. 

 -- Neil Williams <codehelp@debian.org>  Tue, 24 Apr 2007 08:20:39 +0100

libgpewidget (0.115-1) unstable; urgency=low

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Sun, 15 Apr 2007 09:02:45 +0100

libgpewidget (0.114-2) unstable; urgency=low

  * Package the translations 

 -- Neil Williams <codehelp@debian.org>  Mon, 15 Jan 2007 18:58:26 +0000

libgpewidget (0.114-1) unstable; urgency=low

  [ Philippe De Swert ]
  * update to upstream 0.114
  * changelog

  [ Neil Williams ]
  * Change to new maintainer with a big thankyou to Phil for previous versions
    in Debian.
  * Bump to standards version 3.7.2 (no changes)
  * Allow easier binary NMU's with binary:Version (requires dpkg-dev (>=
    1.13.19) added to Build-Depends).
  * Add homepages to descriptions.
  * Add missing content to debian/copyright.
  * Incorporate NMU by Amaya Rodrigo Sastre <amaya@debian.org> - thanks Amaya.

 -- Neil Williams <codehelp@debian.org>  Thu, 21 Dec 2006 11:24:40 +0000

libgpewidget (0.110-1) unstable; urgency=low

  * update to 0.110
  * update dependencies to include intltool and the needed perl XML::Parser

 -- Philippe De Swert <philippedeswert@scarlet.be>  Fri, 14 Apr 2006 13:59:48 +0300

libgpewidget (0.88-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev (Closes: #347134).
  * Credit and Big Thanks to Justin Pryzby <justinpryzby@users.sourceforge.net>
    for the patch and testing.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 21 Jan 2006 21:02:21 +0100

libgpewidget (0.88-2) unstable; urgency=high

  * Disable Cairo for inclusion in sarge; closes: #309933

 -- Phil Blundell <pb@debian.org>  Sun, 29 May 2005 17:04:04 +0000

libgpewidget (0.88-1) unstable; urgency=low

  * New upstream version, closes: #262315
  * Add build dependency on libcairo1-dev.

 -- Phil Blundell <pb@debian.org>  Sun, 15 Aug 2004 23:55:06 +0100

libgpewidget (0.73-1) unstable; urgency=low

  * New upstream version.
  * Link explicitly with Xrender.  (Closes: #215575)

 -- Philip Blundell <pb@nexus.co.uk>  Mon, 13 Oct 2003 19:33:09 +0100

libgpewidget (0.72-1) unstable; urgency=low

  * New upstream version.

 -- Phil Blundell <pb@debian.org>  Sat, 27 Sep 2003 11:39:02 +0100

libgpewidget (0.70-2) unstable; urgency=low

  * Include .pc file as well.

 -- Philip Blundell <pb@nexus.co.uk>  Tue, 16 Sep 2003 19:25:11 +0100

libgpewidget (0.70-1) unstable; urgency=low

  * New upstream release.
  * Make libgpewidget-dev depend on libgtk2.0-dev.

 -- Philip Blundell <pb@nexus.co.uk>  Tue, 16 Sep 2003 00:24:50 +0100

libgpewidget (0.66-1) unstable; urgency=low

  * New upstream version.
  * Uploading to unstable since dependency on XRENDER has been relaxed.

 -- Philip Blundell <pb@nexus.co.uk>  Fri,  5 Sep 2003 18:53:54 +0100

libgpewidget (0.65-1) experimental; urgency=low

  * New upstream version.

 -- Philip Blundell <pb@debian.org>  Fri, 22 Aug 2003 23:02:31 +0100

libgpewidget (0.62-1) unstable; urgency=low

  * New upstream version, closes: #196989



=== debian/control ===
Source: libgpewidget
Section: libs
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>,
 Moray Allan <moray@debian.org>, Phil Blundell <pb@debian.org>,
 Philippe De Swert <philippedeswert@scarlet.be>
Build-Depends: debhelper (>> 9.0.0), docbook-xml, gtk-doc-tools, intltool,
 libcairo2-dev, libgtk2.0-dev, libx11-dev, libxrender-dev,
 x11proto-core-dev
Standards-Version: 3.9.3
Homepage: http://www.kernelconcepts.de/~fuchs/gpe/doc/libgpewidget/
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/libgpewidget/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/libgpewidget/trunk/

Package: libgpewidget1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libgpewidget-data
Multi-Arch: same
Suggests: gpe-icons
Description: GPE Palmtop Environment widget library
 This library contains Gtk+ widgets and other common code shared by
 multiple GPE applications.

Package: libgpewidget-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgpewidget1 (= ${binary:Version}), ${misc:Depends}, libgtk2.0-dev
Description: Development files for libgpewidget
 This package contains headers and other files required to compile
 GPE Palmtop Environment applications.

Package: libgpewidget-data
Section: utils
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libgpewidget1 (<< 0.117-3)
Description: data files for libgpewidget
 This package contains support graphics and translation data
 for GPE Palmtop Environment applications.

Package: libgpewidget1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgpewidget1 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for libgpewidget
 This package provides the debugging symbols that may be
 useful when developing GPE Palmtop Environment applications.

Package: libgpewidget-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Recommends: dwww, devhelp
Description: GPE Palmtop Environment widget library Reference Manual
 This package provides the API documentation for libgpewidget.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --enable-gtk-doc --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) $(CROSS)
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	$(RM) doc/libgpewidget-scan.*
	$(RM) doc/libgpewidget.types
	$(RM) doc/*.txt patch-stamp
	$(RM) -r doc/html doc/xml
	$(RM) doc/tmpl/color-slider.sgml doc/tmpl/colordialog.sgml \
	doc/tmpl/dirbrowser.sgml doc/tmpl/errorbox.sgml \
	doc/tmpl/gpeclockface.sgml doc/tmpl/gpehelp.sgml \
	doc/tmpl/gpeiconlistitem.sgml doc/tmpl/gpeiconlistview.sgml \
	doc/tmpl/gpetimesel.sgml doc/tmpl/gpewindowlist.sgml \
	doc/tmpl/gtkdatecombo.sgml doc/tmpl/gtksimplemenu.sgml \
	doc/tmpl/infoprint.sgml doc/tmpl/init.sgml \
	doc/tmpl/libgpewidget-unused.sgml doc/tmpl/pixmaps.sgml \
	doc/tmpl/popup.sgml doc/tmpl/popup_menu.sgml doc/tmpl/question.sgml \
	doc/tmpl/smallbox.sgml doc/tmpl/spacing.sgml doc/tmpl/stylus.sgml \
	doc/tmpl/translabel.sgml doc/tmpl/tray.sgml \
	doc/tmpl/colorrenderer.sgml doc/tmpl/gpedialog.sgml \
	doc/tmpl/link-warning.sgml doc/tmpl/picturebutton.sgml doc/tmpl/windows.sgml
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp
	install -d debian/tmp/usr/share/doc/libgpewidget-doc/
	ln -s -T /usr/share/gtk-doc/html/libgpewidget/ debian/tmp/usr/share/doc/libgpewidget-doc/html

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip --dbg-package=libgpewidget1-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libgpewidget 0.118

=== debian/changelog ===
libgpewidget (0.118-2) unstable; urgency=low

  * Clean away aclocal.m4 and re-run aclocal and automake --add-missing
    to ensure autoreconf works and updates outdated config.guess and
    config.sub. (Closes: #702532)
  * Make clean target much more precise to retain xml files
    included into the SGML. (Closes: #721640)

 -- Neil Williams <codehelp@debian.org>  Tue, 17 Sep 2013 22:41:27 +0100

libgpewidget (0.118-1) unstable; urgency=low

  * New upstream release.
  * Drop previous patches now included upstream.
  * Add hardening flags.
  * Add hardening.patch for missing format specifiers.

 -- Neil Williams <codehelp@debian.org>  Sun, 26 May 2013 16:16:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>,
  Moray Allan <moray@debian.org>, Phil Blundell <pb@debian.org>,
  Philippe De Swert <philippedeswert@scarlet.be>
-Build-Depends: debhelper (>> 9.0.0), docbook-xml, gtk-doc-tools, intltool,
+Build-Depends: debhelper (>> 9.0.0), autoconf, automake, docbook-xml,
+ gtk-doc-tools, intltool,
  libcairo2-dev, libgtk2.0-dev, libx11-dev, libxrender-dev,
  x11proto-core-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.kernelconcepts.de/~fuchs/gpe/doc/libgpewidget/
 Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/libgpewidget/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/libgpewidget/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -21,7 +26,13 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	./configure --enable-gtk-doc --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) $(CROSS)
+	$(RM) aclocal.m4 configure
+	aclocal
+	libtoolize -f
+	automake --add-missing
+	autoreconf -fs
+	./configure --enable-gtk-doc --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) $(CROSS) \
+		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -40,7 +51,14 @@
 	$(RM) doc/libgpewidget-scan.*
 	$(RM) doc/libgpewidget.types
 	$(RM) doc/*.txt patch-stamp
-	$(RM) -r doc/html doc/xml
+	$(RM) doc/xml/color-slider.xml doc/xml/colordialog.xml doc/xml/colorrenderer.xml doc/xml/dirbrowser.xml
+	$(RM) doc/xml/errorbox.xml doc/xml/gpeclockface.xml doc/xml/gpedialog.xml doc/xml/gpehelp.xml doc/xml/gpeiconlistitem.xml
+	$(RM) doc/xml/gpeiconlistview.xml doc/xml/gpetimesel.xml doc/xml/gpewindowlist.xml doc/xml/gtkdatecombo.xml
+	$(RM) doc/xml/gtksimplemenu.xml doc/xml/infoprint.xml doc/xml/init.xml doc/xml/link-warning.xml doc/xml/pixmaps.xml 
+	$(RM) doc/xml/popup.xml doc/xml/popup_menu.xml doc/xml/question.xml doc/xml/smallbox.xml doc/xml/spacing.xml 
+	$(RM) doc/xml/stylus.xml doc/xml/translabel.xml doc/xml/tray.xml 
+	$(RM) -r Makefile.in aclocal.m4 config.guess config.sub configure depcomp doc/Makefile.in install-sh ltmain.sh missing
+	$(RM) -r doc/html INSTALL
 	$(RM) doc/tmpl/color-slider.sgml doc/tmpl/colordialog.sgml \
 	doc/tmpl/dirbrowser.sgml doc/tmpl/errorbox.sgml \
 	doc/tmpl/gpeclockface.sgml doc/tmpl/gpehelp.sgml \

=== debian/watch ===
#format
version=3
http://gpe.linuxtogo.org/download/source/libgpewidget-(.*)\.tar\.bz2

## libgpewidget 2.8%2bmaemo%2bsvn20071120-1

=== debian/changelog ===
libgpewidget (2.8+maemo+svn20071120-1) unstable; urgency=low

  * MUD build using revision {20071120}

 -- Graham Cobb <g+770@cobb.uk.net>  Tue, 20 Nov 2007 02:42:53 +0000

=== debian/control ===
Source: libgpewidget
Section: user/libs
Priority: optional
Maintainer: Graham Cobb <g+770@cobb.uk.net>
Build-Depends: debhelper (>> 3.0.0), libgtk2.0-dev, xlibs-dev, recode, libxrender-dev
Standards-Version: 3.6.0

Package: libgpewidget-dev
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/libdevel
Architecture: any
Depends: libgpewidget1 (= ${Source-Version}), libgtk2.0-dev
Description: GPE packaged with mud

Package: libgpewidget1
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gpe-icons
Description: GPE packaged with mud

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	intltoolize --copy --automake --force
	autoreconf -f -i -s
	./configure --enable-hildon --disable-cairo --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp
#	$(MAKE) install-devel PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
#
#	dh_installdocs
#	dh_installman
#	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -V
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libgpewidget 2.8%2bmaemo%2bsvn20081212-3

=== Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






SOURCES = $(libgpewidget_la_SOURCES) $(infoprint_SOURCES)

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/libgpewidget
pkglibdir = $(libdir)/libgpewidget
pkgincludedir = $(includedir)/libgpewidget
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnueabi
am__append_1 = -DIS_HILDON
#am__append_2 = -DHAVE_CAIRO
bin_PROGRAMS = infoprint$(EXEEXT)
DIST_COMMON = $(am__configure_deps) $(gpeinclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/gpe-dist.am $(srcdir)/gpe-tp.am \
	$(srcdir)/libgpewidget-uninstalled.pc.in \
	$(srcdir)/libgpewidget.pc.in $(top_srcdir)/configure \
	COPYING.LIB ChangeLog config.guess config.sub depcomp \
	install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES = libgpewidget.pc libgpewidget-uninstalled.pc
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(backupcfgdir)" "$(DESTDIR)$(pixmapdir)" "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(gpeincludedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libgpewidget_la_LIBADD =
am_libgpewidget_la_OBJECTS = gtkdatecombo.lo errorbox.lo init.lo \
	pixmaps.lo smallbox.lo dirbrowser.lo picturebutton.lo \
	stylus.lo screensize.lo question.lo gtksimplemenu.lo \
	spacing.lo tray.lo translabel.lo popup.lo popup_menu.lo \
	gpetimesel.lo gpeiconlistitem.lo gpeclockface.lo \
	gpewindowlist.lo gpehelp.lo gpeiconlistview.lo \
	gpewindowbits.lo infoprint.lo gpedialog.lo color-slider.lo \
	colordialog.lo colorrenderer.lo
libgpewidget_la_OBJECTS = $(am_libgpewidget_la_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_infoprint_OBJECTS = infoprint-main.$(OBJEXT)
infoprint_OBJECTS = $(am_infoprint_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/color-slider.Plo \
	./$(DEPDIR)/colordialog.Plo \
	./$(DEPDIR)/colorrenderer.Plo \
	./$(DEPDIR)/dirbrowser.Plo \
	./$(DEPDIR)/errorbox.Plo \
	./$(DEPDIR)/gpeclockface.Plo \
	./$(DEPDIR)/gpedialog.Plo ./$(DEPDIR)/gpehelp.Plo \
	./$(DEPDIR)/gpeiconlistitem.Plo \
	./$(DEPDIR)/gpeiconlistview.Plo \
	./$(DEPDIR)/gpetimesel.Plo \
	./$(DEPDIR)/gpewindowbits.Plo \
	./$(DEPDIR)/gpewindowlist.Plo \
	./$(DEPDIR)/gtkdatecombo.Plo \
	./$(DEPDIR)/gtksimplemenu.Plo \
	./$(DEPDIR)/infoprint-main.Po \
	./$(DEPDIR)/infoprint.Plo ./$(DEPDIR)/init.Plo \
	./$(DEPDIR)/picturebutton.Plo \
	./$(DEPDIR)/pixmaps.Plo ./$(DEPDIR)/popup.Plo \
	./$(DEPDIR)/popup_menu.Plo \
	./$(DEPDIR)/question.Plo \
	./$(DEPDIR)/screensize.Plo \
	./$(DEPDIR)/smallbox.Plo ./$(DEPDIR)/spacing.Plo \
	./$(DEPDIR)/stylus.Plo ./$(DEPDIR)/translabel.Plo \
	./$(DEPDIR)/tray.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libgpewidget_la_SOURCES) $(infoprint_SOURCES)
DIST_SOURCES = $(libgpewidget_la_SOURCES) $(infoprint_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
backupcfgDATA_INSTALL = $(INSTALL_DATA)
pixmapDATA_INSTALL = $(INSTALL_DATA)
pkgconfigDATA_INSTALL = $(INSTALL_DATA)
DATA = $(backupcfg_DATA) $(pixmap_DATA) $(pkgconfig_DATA)
gpeincludeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(gpeinclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/missing --run aclocal-1.8
ALL_LINGUAS = cs da de es fi fr ga hu id ja ky lt nl pl pt pt_BR ro rw sk sl sr sv vi wa zh_CN zh_TW 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/missing --run tar
AR = arm-linux-gnueabi-ar
AUTOCONF = ${SHELL} /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/missing --run autoconf
AUTOHEADER = ${SHELL} /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/missing --run autoheader
AUTOMAKE = ${SHELL} /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/missing --run automake-1.8
AWK = gawk
CAIRO_FALSE = 
CAIRO_TRUE = #
CATALOGS =  cs.gmo da.gmo de.gmo es.gmo fi.gmo fr.gmo ga.gmo hu.gmo id.gmo ja.gmo ky.gmo lt.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo rw.gmo sk.gmo sl.gmo sr.gmo sv.gmo vi.gmo wa.gmo zh_CN.gmo zh_TW.gmo
CATOBJEXT = .gmo
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS = 
CXX = arm-linux-gnueabi-g++
CXXCPP = arm-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DPACKAGE_NAME=\"libgpewidget\" -DPACKAGE_TARNAME=\"libgpewidget\" -DPACKAGE_VERSION=\"0.117\" -DPACKAGE_STRING=\"libgpewidget\ 0.117\" -DPACKAGE_BUGREPORT=\"gpe-list@linuxtogo.org\" -DPACKAGE=\"libgpewidget\" -DVERSION=\"0.117\" -DGETTEXT_PACKAGE=\"libgpewidget\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_BIND_TEXTDOMAIN_CODESET=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DENABLE_NLS=1 -DHAVE_DLFCN_H=1 -DHILDON_VER=2 
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_CAIRO = no
ENABLE_HILDON = true
EXEEXT = 
F77 = 
FFLAGS = 
GETTEXT_PACKAGE = libgpewidget
GMOFILES =  cs.gmo da.gmo de.gmo es.gmo fi.gmo fr.gmo ga.gmo hu.gmo id.gmo ja.gmo ky.gmo lt.gmo nl.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo rw.gmo sk.gmo sl.gmo sr.gmo sv.gmo vi.gmo wa.gmo zh_CN.gmo zh_TW.gmo
GMSGFMT = /scratchbox/tools/bin/msgfmt
GPEWIDGET_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   $(am__append_1) $(am__append_2)
GPEWIDGET_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDON_FALSE = #
HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
INTLTOOL_ICONV = /usr/bin/iconv
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = $(top_builddir)/intltool-merge
INTLTOOL_MSGFMT = /scratchbox/tools/bin/msgfmt
INTLTOOL_MSGMERGE = /scratchbox/tools/bin/msgmerge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /scratchbox/tools/bin/perl
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVICE_RULE = %.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey@novell.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = libgpewidget
PACKAGE = libgpewidget
VERSION = 0.117

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr
exec_prefix = ${prefix}
datadir = ${prefix}/share
datarootdir = @datarootdir@
libdir = ${exec_prefix}/lib
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = /home/scratchbox/mud-builder/build/libgpewidget/libgpewidget-2.8+maemo+svn20081212/install-sh
# Automake >= 1.8 provides mkdir -p -- ..
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
INTLTOOL_UPDATE = $(top_builddir)/intltool-update
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = cs da de es fi fr ga hu id ja ky lt nl pl pt pt_BR ro rw sk sl sr sv vi wa zh_CN zh_TW 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; fi)

POFILES=$(shell if test -n "$(PO_LINGUAS)"; then LINGUAS="$(PO_LINGUAS)"; else LINGUAS="$(ALL_LINGUAS)"; fi; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = POTFILES.skip Makevars LINGUAS

POTFILES = \
	../colordialog.c \
	../dirbrowser.c \
	../errorbox.c \
	../pixmaps.c \
	../question.c
#This Gets Replace for some reason

CATALOGS=$(shell if test -n "$(PO_LINGUAS)"; then LINGUAS="$(PO_LINGUAS)"; else LINGUAS="$(ALL_LINGUAS)"; fi; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	$(mkdir_p) $(DESTDIR)$(itlocaledir)
	if test -n "$(PO_LINGUAS)"; then \
	  linguas="$(PO_LINGUAS)"; \
	else \
	  linguas="$(ALL_LINGUAS)"; \
	fi; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info tags TAGS ID:

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	if test -n "$(PO_LINGUAS)"; then \
	  linguas="$(PO_LINGUAS)"; \
	else \
	  linguas="$(ALL_LINGUAS)"; \
	fi; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	if test -n "$(PO_LINGUAS)"; then \
	  linguas="$(PO_LINGUAS)"; \
	else \
	  linguas="$(ALL_LINGUAS)"; \
	fi; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in ../config.status POTFILES.in
	cd .. \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
libgpewidget (2.8+maemo+svn20081212-3) unstable; urgency=low

  * MUD build using revision {20081212}

 -- Graham Cobb <g+770@cobb.uk.net>  Mon, 15 Dec 2008 15:59:02 +0000

=== debian/control ===
Source: libgpewidget
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: libs
Priority: optional
Maintainer: Graham Cobb <g+770@cobb.uk.net>
Build-Depends: debhelper (>> 3.0.0), libgtk2.0-dev, libglib2.0-dev,
  libxrender-dev, intltool
Standards-Version: 3.6.1

Package: libgpewidget-dev
Section: libdevel
Architecture: any
Depends: libgpewidget1 (= ${Source-Version}), libgtk2.0-dev
Description: GPE libgpewidget library
  Library of GPE widgets.
  Packaged with MUD

Package: libgpewidget1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gpe-icons
Description: GPE libgpewidget library
  Library of GPE widgets.
  Packaged with MUD
